<div class="row">

  <div *ngIf="serie" class="col-9 card shadow mx-auto">

    <div class="card-body">
      <div class="card-header" style="
           background-image: linear-gradient(rgba(0,0,0,0.3),rgba(0,0,0,0.3)), url({{serie.photo}});
           background-size: cover;
           width: 100%; height: 300px;
           background-position: center">
        <h3 class="text-center mt-3 text-uppercase text-white" style="padding-top: 15%">{{serie.name}}</h3>
      </div>
      <p class="card-text text-center my-2 " style="font-weight: bold">Date de sortie: {{serie.date| date: "mediumDate"
        }}</p>
      <p class="card-text text-center my-2 " style="font-weight: bold">Seasons: {{serie.season}}</p>
      <p class="card-text text-center mt-3">
        <span style="text-decoration: underline; font-weight: bold">Descripiton:</span>
        <br>
        <span>{{serie.description}}</span>
      </p>
      <p class="card-text text-center">
        <span style="text-decoration: underline; font-weight: bold">critique:</span>
        <br>
        <span>{{serie.critics}}</span>
      </p>
      <p class="text-center mt-5" style="text-decoration: underline; font-weight: bold">Comments:</p>
      <div class="mt-1 card-body">
        <div class="card-text text-center" app-commentary-row *ngFor="let comment of serie.commentary" [id]=comment.id
          [author]=comment.author [date]=comment.date [content]=comment.content>
        </div>
      </div>
      <div class="text-center mt-3">
        <button [routerLink]="['/serie', 'comm', serie.id]" class="btn btn-success">Add comment</button>
      </div>
      <div class="text-center mt-3">
        <a routerLink="/serie" class="btn btn-dark">Back to series</a>
      </div>
    </div>
  </div>
</div>
